### Constructor

# Camel KeyFile new

#### Declaration [src]

    CamelKeyFile*
    camel_key_file_new (
      const gchar* path,
      gint flags,
      const gchar* version
    )

#### Description [src]

Create a new key file. A linked list of record blocks.

#### Parameters

`path`

  Type: `const gchar*`

  A filename with path of the `CamelKeyFile` to create.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `gint`

  Open flags.

`version`

  Type: `const gchar*`

  Version string (header) of file. Currently written but not checked.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelKeyFile`

A new key file, or `NULL` if the file could not be opened/created/initialised.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.